Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema.constants
Class Constants.BlockConstants

    java.lang.Object
      org.apache.ws.commons.schema.constants.Constants.BlockConstants

Enclosing class:
  Constants

    public static class Constants.BlockConstants

extends java.lang.Object

All constants that are relevant to the names of the schema elements

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `ELEMENT_ONLY`
`static java.lang.String` | `EMPTY`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `EXTENSION`
`static java.lang.String` | `LAX`
`static java.lang.String` | `LIST`
`static java.lang.String` | `MIXED`
`static java.lang.String` | `NONE`
`static java.lang.String` | `OPTIONAL`
`static java.lang.String` | `PROHIBITED`
`static java.lang.String` | `REQUIRED`
`static java.lang.String` | `RESTRICTION`
`static java.lang.String` | `SKIP`
`static java.lang.String` | `STRICT`
`static java.lang.String` | `SUBSITUTION`
`static java.lang.String` | `TEXT_ONLY`
`static java.lang.String` | `UNION`
`static java.lang.String` | `WARNING`

Constructor Summary
`Constants.BlockConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final java.lang.String ALL

See Also:
  Constant Field Values

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

### EXTENSION

    public static final java.lang.String EXTENSION

See Also:
  Constant Field Values

### LIST

    public static final java.lang.String LIST

See Also:
  Constant Field Values

### RESTRICTION

    public static final java.lang.String RESTRICTION

See Also:
  Constant Field Values

### SUBSITUTION

    public static final java.lang.String SUBSITUTION

See Also:
  Constant Field Values

### UNION

    public static final java.lang.String UNION

See Also:
  Constant Field Values

### EMPTY

    public static final java.lang.String EMPTY

See Also:
  Constant Field Values

### ELEMENT_ONLY

    public static final java.lang.String ELEMENT_ONLY

See Also:
  Constant Field Values

### MIXED

    public static final java.lang.String MIXED

See Also:
  Constant Field Values

### TEXT_ONLY

    public static final java.lang.String TEXT_ONLY

See Also:
  Constant Field Values

### LAX

    public static final java.lang.String LAX

See Also:
  Constant Field Values

### SKIP

    public static final java.lang.String SKIP

See Also:
  Constant Field Values

### STRICT

    public static final java.lang.String STRICT

See Also:
  Constant Field Values

### OPTIONAL

    public static final java.lang.String OPTIONAL

See Also:
  Constant Field Values

### PROHIBITED

    public static final java.lang.String PROHIBITED

See Also:
  Constant Field Values

### REQUIRED

    public static final java.lang.String REQUIRED

See Also:
  Constant Field Values

### ERROR

    public static final java.lang.String ERROR

See Also:
  Constant Field Values

### WARNING

    public static final java.lang.String WARNING

See Also:
  Constant Field Values

Constructor Detail

### Constants.BlockConstants

    public Constants.BlockConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.